SharePoint 2013 eller installasjonsprogrammet for Project Server-2013 feil hvis .NET Framework 4.6 er installert

VIKTIG: Denne artikkelen ble oversatt med maskinoversettelsesprogramvare fra Microsoft og muligens redigert av Microsoft Community via CTF-teknologi i stedet for av en oversetter. Microsoft tilbyr både menneskelig oversatte og maskinoversatte/Community-redigerte artikler, slik at du får tilgang til alle artiklene i vår Knowledge Base på ditt eget språk. En maskinoversatt eller Community-redigert artikkel er imidlertid ikke alltid perfekt. Den kan inneholde feil i vokabular, syntaks eller grammatikk, mye likt en fremmedspråklig som forsøker å snakke språket ditt. Microsoft har ikke ansvar for unøyaktige opplysninger, feil eller skade forårsaket av feilaktig oversettelse av innholdet eller kundenes bruk av informasjonen. Microsoft oppdaterer jevnlig maskinoversettelsesprogramvaren og -verktøyene for å forbedre redigering av maskinoversatte tekster.

Den engelske versjonen av denne artikkelen er den følgende: 3087184
Symptom
Når du kjører Microsoft SharePoint Foundation-2013 med Service Pack 1 oppsettet, SharePoint Server-2013 med installasjonsprogrammet for Service Pack 1 eller Project Server-2013 med installasjonsprogrammet for Service Pack 1 på en datamaskin som har Microsoft .NET Framework 4.6, 4.6.1 eller 4.6.2 installert, får du følgende feilmelding:
Installasjonsprogrammet er kan ikke fortsette på grunn av følgende feil:
Dette produktet krever Microsoft .net Framework 4.5.
Årsak
Dette problemet oppstår fordi installasjonsprogrammet for SharePoint og installere Project Server-programmer ikke gjenkjenner .NET Framework 4.6, 4.6.1 eller 4.6.2 som en støttet versjon av .NET Framework.
Løsning
Hvis du vil løse dette problemet, gjør du følgende:

  1. Pakk ut installasjonsmediet til en skrivbar plassering.

    • Hvis installasjonsmediet er en kjørbar fil (.exe), pakke ut filer og mapper fra den kjørbare filen til en skrivbar plassering ved å kjøre følgende kommando ved en ledetekst:

      <executable file name> /extract:<path to writable location>
      Hvis du for eksempel kjører du følgende kommando:

      sharepoint.exe /extract:C:\SharePointInstaller
    • Hvis installasjonsmediet er en ISO eller IMG disken avbildningen (.iso eller .img), montere avbildningen, og deretter kopiere filene og mappene fra avbildningen til en skrivbar plassering.
  2. Last ned filen komprimert (ZIP) som inneholder hurtigreparasjonen som samsvarer med det du installerer produktet:

  3. Åpne ZIP-filen.
  4. Kopier følgende støtte installasjonsfilen, etter behov, fra ZIP-filen til mappen "oppdateringer" skrivbar der.

    • SharePoint Foundation 2013 med Service Pack 1: wsssetup.dll
    • SharePoint Server-2013 med Service Pack 1: svrsetup.dll
    • Project Server-2013 med Service Pack 1: svrsetup.dll
  5. Kjør Setup.exe fra den skrivbare plasseringen til å starte installasjonsprogrammet for SharePoint eller installere Project Server. Installasjonsprogrammet bruker støtte for filen som inneholder løsningen du har kopiert til mappen "oppdateringer".
Workaround
Hvis du ikke kan bruke metoden hurtigreparasjonen som er angitt i delen "Løsning", er en alternativ metode tilgjengelig.

Hvis du vil omgå dette problemet, må du kontrollere at .NET Framework 4.6, 4.6.1 eller 4.6.2 ikke er installert når du kjører installasjonsprogrammet for SharePoint.

Hvis Microsoft .NET Framework 4.6, 4.6.1 eller 4.6.2 allerede er installert, følger du disse trinnene:
  1. Avinstaller .NET Framework 4.6, 4.6.1 eller 4.6.2. Hvis du vil gjøre dette, går du til plasseringen som er spesifikk for operativsystemet som er oppført i følgende artikler i Microsoft Knowledge Base:
    3151800 .NET Framework 4.6.2 frakoblet installasjonsprogrammet for Windows
    3102436 .NET Framework 4.6.1 frakoblet installasjonsprogrammet for Windows
    3045557 Microsoft .NET Framework 4.6 (frakoblet Installer) for Windows
    Obs! I Windows Server 2012 eller Windows Server 2012 R2, .NET Framework er en operativsystemkomponent og kan ikke avinstalleres uavhengig av hverandre. Oppdateringer for .NET Framework som vises i den Installerte oppdateringer -kategorien i Kontrollpanel Programmer og funksjoner App. For operativsystemer der .NET Framework ikke er forhåndsinstallert, .NET Framework som vises i den Avinstaller eller endre et program TAB (eller Legg til/fjern programmer kategorien) for den Programmer og funksjoner App i Kontrollpanel. Se Feilsøking i forbindelse med blokkerte .NET Framework-installasjoner og Uninstallations og Microsoft Knowledge Base-artiklene som er oppført tidligere for mer informasjon.
  2. Start datamaskinen på nytt.
  3. Installere den Installasjonsprogrammet for Web for .NET Framework 4.5.2.
  4. Kjør installasjonsprogrammet for SharePoint for å installere SharePoint.
Når SharePoint er installert, kan du oppgradere fra .NET Framework 4.5.2 til .NET Framework 4.6, 4.6.1 eller 4.6.2.
Mer informasjon
Selv om du får feilmeldingen under installasjon, støttes 2013 for SharePoint Foundation og SharePoint Server 2013 fremdeles etter at du har oppgradert til .NET Framework 4.6, .NET Framework 4.6.1 eller .NET Framework 4.6.2.

Obs! Formell støtte for .NET Framework 4.0 ble avsluttet i januar 2016, 4.5.1 og 4.5.
Status
Microsoft har bekreftet at dette er et problem i Microsoft-produktene som er oppført i delen "Gjelder for".

Advarsel: Denne artikkelen er autooversatt

Egenskaper

Artikkel-ID: 3087184 – Forrige gjennomgang: 09/13/2016 19:34:00 – Revisjon: 10.0

Microsoft SharePoint Server 2013, Microsoft SharePoint Foundation 2013

  • kbprb kbsurveynew kbmt KB3087184 KbMtno
Tilbakemelding